# ibms

> A Vue.js project

## Build Setup

``` bash
# install dependencies
npm install

# serve with hot reload at localhost:8080
npm run dev

# build for production with minification
npm run build

# build for production and view the bundle analyzer report
npm run build --report
```

For a detailed explanation on how things work, check out the [guide](http://vuejs-templates.github.io/webpack/) and [docs for vue-loader](http://vuejs.github.io/vue-loader).

# 扫楼参数解释

## 扫楼日志页/buildLog?projId=??&userId=??

获取扫楼日志，需操作人id（userId）和项目id（projId）

## 扫楼用户页/buildUser?projId=??&userId=??

获取扫楼用户，并给与添加权限，删除权限（右键删除）

## 扫楼异常资产页/buildAssets?projId=??&userId=??&secret=??

获取扫楼异常资产，需操作人id和项目id以及密码（显示详情页使用）

## 扫楼数据页/buildData?projId=??&userId=??

获取扫楼数据进行处理，有修改资产权限，修改点位标签名及点位标签id权限

```
由于扫楼数据的存放url待定，暂时为IP：(http://172.16.1.21:8090/#)
```
```
|-- RevitWeb
    |-- .babelrc
    |-- .editorconfig
    |-- .gitignore
    |-- .postcssrc.js
    |-- favicon.ico
    |-- handsontable-chosen-editor.js
    |-- index.html
    |-- package-lock.json
    |-- package.json
    |-- README.md
    |-- build
    |   |-- build.js
    |   |-- check-versions.js
    |   |-- logo.png
    |   |-- utils.js
    |   |-- vue-loader.conf.js
    |   |-- webpack.base.conf.js
    |   |-- webpack.dev.conf.js
    |   |-- webpack.prod.conf.js
    |-- config
    |   |-- dev.env.js
    |   |-- index.js
    |   |-- prod.env.js                         //打包文件其中有两个应用地址
    |-- photoView                               //图片查看公共工具
    |   |-- photo-View.html                     //页面
    |   |-- README.md
    |   |-- test.html
    |   |-- css
    |   |   |-- reset.css
    |   |   |-- viewer.min.css
    |   |-- js
    |       |-- CSS3DStereoRenderer.js
    |       |-- photo-sphere-viewer.js
    |       |-- photo-sphere-viewer.min.js
    |       |-- three.js
    |       |-- three.min.js
    |       |-- viewer.min.js
    |-- src
    |   |-- App.vue
    |   |-- main.js
    |   |-- package.json
    |   |-- api                               //请求
    |   |   |-- config.js                     //设置
    |   |   |-- fetch.js                      //封装
    |   |   |-- httpUtil.js                   //再次封装
    |   |   |-- request.js                    //集合
    |   |-- assets                            //多个引用
    |   |   |-- logo.png                      //logo
    |   |   |-- css                           //css样式
    |   |   |   |-- chosen-sprite.png         
    |   |   |   |-- chosen-sprite@2x.png
    |   |   |   |-- chosen.css                //chonse的样式
    |   |   |   |-- jsmind.css                //思维导图的样式
    |   |   |   |-- reset.css                 //重置样式表
    |   |   |-- icon                          //iconfont--弃用
    |   |   |   |-- iconfont.css
    |   |   |   |-- iconfont.eot
    |   |   |   |-- iconfont.js
    |   |   |   |-- iconfont.svg
    |   |   |   |-- iconfont.ttf
    |   |   |   |-- iconfont.woff
    |   |   |-- images                        //图片
    |   |   |   |-- point.png
    |   |   |   |-- unfold.png
    |   |   |-- js                            //js工具
    |   |   |   |-- chosen.jquery.min.js      //hansontable下拉工具
    |   |   |   |-- graphyCanvas.js           //图形化引擎
    |   |   |   |-- graphyEvent.js            //图形化引擎事件
    |   |   |   |-- handsontable-chosen-editor.js  //下拉
    |   |   |   |-- isDuitString.js                 //判断
    |   |   |   |-- jquery.min.js               //jq
    |   |   |   |-- jsmind.js                   //思维导图
    |   |   |   |-- tools.js                    //工具函数
    |   |   |   |-- canvas                      
    |   |   |   |   |-- index.js
    |   |   |   |   |-- items
    |   |   |   |   |   |-- ball.js
    |   |   |   |   |   |-- line.js
    |   |   |   |   |   |-- point.js
    |   |   |   |   |-- lib
    |   |   |   |       |-- event
    |   |   |   |           |-- SMouseEvent.js
    |   |   |   |-- items                       //items，图形化引擎items
    |   |   |   |   |-- SGraphyCircleItem.js    //圆
    |   |   |   |   |-- SGraphyImageItem.js     //图片
    |   |   |   |   |-- SGraphyLineItem.js      //线
    |   |   |   |   |-- SGraphyPillarItems.js   //实心圆
    |   |   |   |   |-- SGraphyPolygonItem.js   //不规则图形
    |   |   |   |   |-- SGraphyRectItem.js      //矩形
    |   |   |   |   |-- SGraphyTextItems.js     //字体
    |   |   |   |   |-- SGraphyVirtualItem.js   //虚线
    |   |   |   |-- qrcode
    |   |   |       |-- qrcode.min.js           //qrcode生成工具
    |   |   |-- json
    |   |   |   |-- 1CDC5E0E-50EB-415a-BBC1-099832D12238.txt
    |   |   |   |-- bim.jsonz
    |   |   |   |-- cxds5.json
    |   |   |   |-- end.json
    |   |   |   |-- mind.json
    |   |   |   |-- relation.json
    |   |   |   |-- roomCl.json
    |   |   |   |-- space(2).json
    |   |   |   |-- space(3).json
    |   |   |   |-- space.json
    |   |   |   |-- test.json
    |   |   |-- node-templete                   //图形化引擎
    |   |   |   |-- index.js
    |   |   |   |-- SGraphy
    |   |   |       |-- SCanvas.js
    |   |   |       |-- SGraphyEnums.js
    |   |   |       |-- SGraphyItem.js
    |   |   |       |-- SGraphyScene.js
    |   |   |       |-- SGraphyView.js
    |   |   |       |-- SMouseEvent.js
    |   |   |       |-- items
    |   |   |       |   |-- SGraphyClockItem.js
    |   |   |       |   |-- SGraphyLineItem.js
    |   |   |       |   |-- SGraphyPolygonItem.js
    |   |   |       |   |-- SGraphyRectItem.js
    |   |   |       |   |-- SGraphyVirtualItem.js
    |   |   |       |-- types
    |   |   |           |-- SPoint.js
    |   |   |           |-- SRect.js
    |   |   |-- pako
    |   |       |-- pako.js
    |   |-- components
    |   |   |-- cascader.vue
    |   |   |-- demo1.vue
    |   |   |-- demo2.vue
    |   |   |-- demo3.vue
    |   |   |-- drag.vue
    |   |   |-- graphyCanvas.vue
    |   |   |-- graphyCanvas1.vue
    |   |   |-- graphyTabs.vue
    |   |   |-- graphyTree.vue
    |   |   |-- HelloWorld.vue
    |   |   |-- input.vue
    |   |   |-- selectTime.vue
    |   |   |-- business
    |   |   |   |-- handsontable.vue
    |   |   |   |-- spaceGraphy.vue
    |   |   |   |-- spaceHandsontable.vue
    |   |   |-- dialogHanson
    |   |   |   |-- addDevice.vue
    |   |   |-- dialogs
    |   |   |   |-- detailsDialog.vue
    |   |   |   |-- facilityDialog.vue
    |   |   |   |-- influenceDialog.vue
    |   |   |   |-- noModelDialog.vue
    |   |   |   |-- notRelated.vue
    |   |   |   |-- addDialog
    |   |   |   |   |-- businessDialog.vue
    |   |   |   |   |-- dialogAssets.vue
    |   |   |   |   |-- dialogDevice.vue
    |   |   |   |   |-- dialogSystem.vue
    |   |   |   |-- list
    |   |   |       |-- filesDialog.vue
    |   |   |       |-- firm.vue
    |   |   |       |-- guaranteeDialog.vue
    |   |   |       |-- insurerDialog.vue
    |   |   |       |-- maintainerDialog.vue
    |   |   |       |-- picDialog.vue
    |   |   |       |-- supplierDialog.vue
    |   |   |       |-- supplyDialog.vue
    |   |   |       |-- uploadImgDialog.vue
    |   |   |-- graphy
    |   |   |   |-- business.vue
    |   |   |-- handsontables
    |   |   |   |-- assets.vue
    |   |   |   |-- device.vue
    |   |   |   |-- system.vue
    |   |   |-- lib
    |   |   |   |-- floorCascader.vue
    |   |   |   |-- formInput.vue
    |   |   |   |-- myPagination.vue
    |   |   |   |-- qrcode.vue
    |   |   |   |-- uploadFiles.vue
    |   |   |   |-- uploadImg.vue
    |   |   |   |-- uploadImgs.vue
    |   |   |   |-- cascaders
    |   |   |       |-- assets.vue
    |   |   |       |-- system.vue
    |   |   |-- list
    |   |   |   |-- title.vue
    |   |   |-- table
    |   |   |   |-- addEquip.vue
    |   |   |   |-- businessTable.vue
    |   |   |   |-- equipTable.vue
    |   |   |-- transfers
    |   |       |-- tableTransfers.vue
    |   |-- config
    |   |   |-- index.js
    |   |   |-- rem.js
    |   |-- router
    |   |   |-- directive.js
    |   |   |-- ele.js
    |   |   |-- index.js
    |   |-- utils
    |   |   |-- hasontableUtils.js
    |   |-- views
    |       |-- assetsList.vue
    |       |-- buildAssets.vue
    |       |-- buildFamily.vue
    |       |-- buildGraphy.vue
    |       |-- buildingData.vue
    |       |-- buildLog.vue
    |       |-- buildUser.vue
    |       |-- businessSpace.vue
    |       |-- conduitGraphy.vue
    |       |-- deviceList.vue
    |       |-- gplot.vue
    |       |-- layerPoint.vue
    |       |-- mindMap.vue
    |       |-- spaceGraphy.vue
    |       |-- systemList.vue
    |-- static
        |-- .gitkeep
```
