'use strict'
// Template version: 1.3.1
// see http://vuejs-templates.github.io/webpack for documentation.

const path = require('path')

const proxyTable = {
    '/api': {
        // target: 'http://mbi.sagacloud.cn:8080', //扫楼revit
        target: 'http://172.16.0.235:8080', //扫楼revit
        changeOrigin: true,
        pathRewrite: {
            '^/api': ''
        }
    },
    '/sass': {
        target: 'http://192.168.30.96:8080', //sass平台
        changeOrigin: true,
        pathRewrite: {
            '^/sass': ''
        }
    },
    '/img': {
        target: 'http://192.168.20.225:8080',
        changeOrigin: true,
        pathRewrite: {
            '^/img': ''
        }
    },
    '/physics': {
        // target: 'http://101.200.32.13:28888',
        target: 'http://192.168.20.225:8080',
        changeOrigin: true,
        pathRewrite: {
            '^/physics': ''
        }
    },
    '/seeImg': {
        target: 'http://172.16.0.181:8890',
        changeOrigin: true,
        pathRewrite: {
            '^/seeImg': ''
        }
    },
    '/arithmetic': {
        target: 'http://api.sagacloud.cn/pythonserver/',
        changeOrigin: true,
        pathRewrite: {
            '^/arithmetic': ''
        }
    },
}

module.exports = {
    dev: {

        // Paths
        assetsSubDirectory: 'static',
        assetsPublicPath: '/',

        // Various Dev Server settings
        host: '0.0.0.0', // can be overwritten by process.env.HOST
        port: 8091, // can be overwritten by process.env.PORT, if port is in use, a free one will be determined
        autoOpenBrowser: true,
        errorOverlay: true,
        notifyOnErrors: true,
        poll: false, // https://webpack.js.org/configuration/dev-server/#devserver-watchoptions-

        proxyTable: proxyTable,

        /**
         * Source Maps
         */
        productionGzip: true,
        productionGzipExtensions: ['js', 'css'],
        // https://webpack.js.org/configuration/devtool/#development
        devtool: 'cheap-module-eval-source-map',

        // If you have problems debugging vue-files in devtools,
        // set this to false - it *may* help
        // https://vue-loader.vuejs.org/en/options.html#cachebusting
        cacheBusting: true,

        cssSourceMap: true
    },

    build: {
        // Template for index.html
        index: path.resolve(__dirname, '../dist/index.html'),

        // Paths
        assetsRoot: path.resolve(__dirname, '../dist'),
        assetsSubDirectory: 'static',
        assetsPublicPath: '/',

        /**
         * Source Maps
         */

        productionSourceMap: true,
        // https://webpack.js.org/configuration/devtool/#production
        devtool: '#source-map',

        // Gzip off by default as many popular static hosts such as
        // Surge or Netlify already gzip all static assets for you.
        // Before setting to `true`, make sure to:
        // npm install --save-dev compression-webpack-plugin
        productionGzip: true,
        productionGzipExtensions: ['js', 'css'],

        // Run the build command with an extra argument to
        // View the bundle analyzer report after build finishes:
        // `npm run build --report`
        // Set to `true` or `false` to always turn it on or off
        bundleAnalyzerReport: process.env.npm_config_report
    }
}